<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.greenorange.promotion.mapper.SysOperLogMapper">

    <resultMap id="BaseResultMap" type="com.greenorange.promotion.model.entity.SysOperLog">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="title" column="title" jdbcType="VARCHAR"/>
            <result property="content" column="content" jdbcType="VARCHAR"/>
            <result property="method" column="method" jdbcType="VARCHAR"/>
            <result property="requestMethod" column="requestMethod" jdbcType="VARCHAR"/>
            <result property="operName" column="operName" jdbcType="VARCHAR"/>
            <result property="requestUrl" column="requestUrl" jdbcType="VARCHAR"/>
            <result property="ip" column="ip" jdbcType="VARCHAR"/>
            <result property="ipLocation" column="ipLocation" jdbcType="VARCHAR"/>
            <result property="requestParam" column="requestParam" jdbcType="VARCHAR"/>
            <result property="responseResult" column="responseResult" jdbcType="VARCHAR"/>
            <result property="status" column="status" jdbcType="INTEGER"/>
            <result property="errorMsg" column="errorMsg" jdbcType="VARCHAR"/>
            <result property="operTime" column="operTime" jdbcType="TIMESTAMP"/>
            <result property="takeTime" column="takeTime" jdbcType="BIGINT"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,title,content,
        method,requestMethod,operName,
        requestUrl,ip,ipLocation,
        requestParam,responseResult,status,
        errorMsg,operTime,takeTime
    </sql>
</mapper>
